{ ... }:
final: prev: {
  bitwarden-cli =
    if final.lib.strings.hasSuffix "-darwin" final.system then
      # Bitwarden-cli is broken on darwin with the newer llvm
      (prev.bitwarden-cli.overrideAttrs (oldAttrs: {
        nativeBuildInputs = (oldAttrs.nativeBuildInputs or [ ]) ++ [ final.llvmPackages_18.stdenv.cc ];
        stdenv = final.llvmPackages_18.stdenv;
      }))
    else
      prev.bitwarden-cli;
}
